Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_IV_Length Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_IV_Length:

## Public Member Functions
| Invalid_IV_Length (const std::string &mode, size_t bad_len)

## Detailed Description

Invalid_IV_Length Exception

Definition at line 78 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_IV_Length()

Botan::Invalid_IV_Length::Invalid_IV_Length | ( | const std::string & | mode,
|  | size_t | bad_len
| ) |  |
| inline

Definition at line 80 of file exceptn.h.

80 :
81 Invalid_Argument("IV length " + to_string(bad_len) +
82 " is invalid for " + mode)
83 {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20
Botan::to_string
std::string to_string(u64bit n, size_t min_len)
Definition: parsing.cpp:42

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h